OGRE-Next: Ogre::LodData::Triangle Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::LodData::Triangle Struct Reference

`#include <OgreLodData.h>`

## Public Member Functions
void | computeNormal (const VertexList &vertexList)
unsigned int | getVertexID (const VertexI vi) const
bool | hasVertex (const VertexI vi) const
bool | isMalformed ()
bool | isRemoved () const
void | setRemoved ()
unsigned int | submeshID () const

## Public Attributes
Vector3 | normal
unsigned int | submeshIDOrRemovedTag
| ID of the submesh.
VertexI | vertexi [3]
unsigned int | vertexID [3]
| Vertex ID in the buffer associated with the submeshID.

## Member Function Documentation

## ◆ computeNormal()

void Ogre::LodData::Triangle::computeNormal | ( | const VertexList & | vertexList | ) |

## ◆ getVertexID()

unsigned int Ogre::LodData::Triangle::getVertexID | ( | const VertexI | vi | ) | const

## ◆ hasVertex()

bool Ogre::LodData::Triangle::hasVertex | ( | const VertexI | vi | ) | const
| inline

References vertexi.

## ◆ isMalformed()

bool Ogre::LodData::Triangle::isMalformed | ( |  | ) |

## ◆ isRemoved()

bool Ogre::LodData::Triangle::isRemoved | ( |  | ) | const
| inline

References submeshIDOrRemovedTag.

Referenced by submeshID().

## ◆ setRemoved()

void Ogre::LodData::Triangle::setRemoved | ( |  | ) |
| inline

References submeshIDOrRemovedTag.

## ◆ submeshID()

unsigned int Ogre::LodData::Triangle::submeshID | ( |  | ) | const
| inline

References isRemoved(), OgreAssert, and submeshIDOrRemovedTag.

## Member Data Documentation

## ◆ normal

Vector3 Ogre::LodData::Triangle::normal

## ◆ submeshIDOrRemovedTag

unsigned int Ogre::LodData::Triangle::submeshIDOrRemovedTag

ID of the submesh.

Usable with mMesh.getSubMesh() function. Holds ~0U for removed triangles

Referenced by isRemoved(), setRemoved(), and submeshID().

## ◆ vertexi

VertexI Ogre::LodData::Triangle::vertexi[3]

Referenced by hasVertex().

## ◆ vertexID

unsigned int Ogre::LodData::Triangle::vertexID[3]

Vertex ID in the buffer associated with the submeshID.

The documentation for this struct was generated from the following file:

- OgreLodData.h